%define	module	LockFile-Simple
%define	version	0.2.5
%define	release	6mdk
%define	pdir	LockFile

Summary: 	%{module} module for perl
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License: 	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/search?dist=%{module}
BuildArch: 	noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	perl , perl-base 
BuildRequires:	perl-devel

%description 
%{module} module for perl.  The LockFile::Simple extension 
provides simple file locking, of the advisory kind, i.e. it requires
cooperation between applications wishing to lock the same files.

It is meant to be used in quick-and-dirty scripts or more elaborated
programs that want a simple locking scheme, yet with a reasonable
level of configuration.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(444,root,root,755)
%doc ChangeLog README
%{perl_vendorlib}/LockFile/*.pm
%{perl_vendorlib}/LockFile/Lock/*
%{_mandir}/*/*

%changelog
* Thu Sep 23 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.2.5-6mdk
- 0.2.5

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.2.5-5mdk
- rebuild for new perl
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.5-4mdk
- rebuild for new auto{prov,req}

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com 0.2.5-3mdk
- rebuild

* Wed Jul 31 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.2.5-2mdk
- rebuild with new perl

* Mon Jun 17 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.2.5-1mdk
- from Peter Chen <petechen@netilla.com> :
	- 0.2.5
